Subject: bug#38162: icedtea "jar" tool could automatically pack reproducible jars

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 10 Nov 2019 15:48:49 +0100

Hi,

it would be better if icedtea's "jar" tool automatically packed reproducible jar
files instead of us doing some barely safe unzip-then-rezip-with-specific-order
in the ant-build-system.

It could check the environment variable SOURCE_DATE_EPOCH and then use that as
timestamp for the zip entries.

Alternatively, it could just leave the DOS timestamp field off of the zip
entries.

Maven already has support for the former[1]--we might be able to reuse that.

[1] https://maven.apache.org/plugins/maven-jar-plugin/jar-mojo.html